package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 账户流水枚举
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum AccountBizTypeEnum implements BaseEnum<String, AccountBizTypeEnum> {

    PRACTICE("陪练课", InOrOutEnum.IN),
    LIVE("直播课", InOrOutEnum.IN),
    VIDEO("视频课", InOrOutEnum.IN),
    MUSIC("乐谱", InOrOutEnum.IN),
    WITHDRAWAL("提现", InOrOutEnum.OUT);
    @EnumValue
    private String code;
    private String msg;
    //收入、支出
    private InOrOutEnum inOrOut;

    AccountBizTypeEnum(String msg, InOrOutEnum inOrOut) {
        this.code = getCode();
        this.msg = msg;
        this.inOrOut = inOrOut;
    }

    @Override
    public String getCode() {
        return this.name();
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public InOrOutEnum getInOrOut() {
        return inOrOut;
    }

    public void setInOrOut(InOrOutEnum inOrOut) {
        this.inOrOut = inOrOut;
    }
}
